Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfList

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
          org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
              org.apache.fop.render.rtf.rtflib.rtfdoc.RtfList

    public class RtfList

extends RtfContainer

Model of an RTF list, which can contain RTF list items.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch), Christopher Scott (scottc@westinghouse.com), and Peter Herweg (pherweg@web.de).

Field Summary

Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`attrib, parent, writer`

Method Summary
`boolean` | `getHasTableParent()` Returns true, if the list has a parent table.
`java.lang.Integer` | `getListId()` Returns the Id of the list.
`java.lang.Integer` | `getListTemplateId()` Returns the Id of the list template.
`RtfListStyle` | `getRtfListStyle()` Get list style
`RtfListItem` | `newListItem()` Close current list item and start a new one
`void` | `setRtfListStyle(RtfListStyle ls)` Change list style

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
`addChild, findChildren, getChildCount, getChildren, isEmpty, okToWriteRtf, setChildren, setOptions, toString, writeRtfContent`

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### newListItem

    public RtfListItem newListItem()
                            throws java.io.IOException

  Close current list item and start a new one

  Returns:
    new RtfListItem
  Throws:
    `java.io.IOException` - for I/O problems

### getListId

    public java.lang.Integer getListId()

  Returns the Id of the list.

  Returns:
    Id of the list

### getListTemplateId

    public java.lang.Integer getListTemplateId()

  Returns the Id of the list template.

  Returns:
    Id of the list template

### setRtfListStyle

    public void setRtfListStyle(RtfListStyle ls)

  Change list style

  Parameters:
    `ls` - ListStyle to set

### getRtfListStyle

    public RtfListStyle getRtfListStyle()

  Get list style

  Returns:
    ListSytle of the List

### getHasTableParent

    public boolean getHasTableParent()

  Returns true, if the list has a parent table.

  Returns:
    true, if the list has a parent table

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.